hilbert.filter {waveslim} | R Documentation

## Select a Hilbert Wavelet Pair

### Description

Converts name of Hilbert wavelet pair to filter coefficients.

### Usage

    hilbert.filter(name)

### Arguments

`name` | Character string of Hilbert wavelet pair, see acceptable names below (e.g., `"k3l3"`).

### Details

Simple `switch` statement selects the appropriate HWP. There are two parameters that define a Hilbert wavelet pair using the notation of Selesnick (2001,2002), K and L. Currently, the only implemented combinations (K,L) are (3,3), (3,5), (4,2) and (4,4).

### Value

List containing the following items:

`L` | length of the wavelet filter
`h0,g0` | low-pass filter coefficients
`h1,g1` | high-pass filter coefficients

### Author(s)

B. Whitcher

### References

Selesnick, I.W. (2001). Hilbert transform pairs of wavelet bases. IEEE Signal Processing Letters\/~8(6), 170–173.

Selesnick, I.W. (2002). The design of approximate Hilbert transform pairs of wavelet bases. IEEE Transactions on Signal Processing\/~50(5), 1144–1152.

### See Also

`wave.filter`

### Examples

    hilbert.filter("k3l3")
    hilbert.filter("k3l5")
    hilbert.filter("k4l2")
    hilbert.filter("k4l4")

[Package waveslim version 1.7.5.1 Index]